//CFTTRandomNumberGeneratorThreadsafe - [2020-04-13 11:57:46]
#ifndef _CFTTRANDOMNUMBERGENERATORTHREADSAFE_H_
#define _CFTTRANDOMNUMBERGENERATORTHREADSAFE_H_

#include <stdio.h>
#include <stdlib.h>

#include "CFTTRandomNumberGenerator.h"

/*

002674C4 CFTTRandomNumberGeneratorThreadsafe::CFTTRandomNumberGeneratorThreadsafe(uint)
002672D0 CFTTRandomNumberGeneratorThreadsafe::~CFTTRandomNumberGeneratorThreadsafe()
002674D0 CFTTRandomNumberGeneratorThreadsafe::GetInt()
002674D4 CFTTRandomNumberGeneratorThreadsafe::GetUInt()
002674FC CFTTRandomNumberGeneratorThreadsafe::GetInt(int,int)
0026750C CFTTRandomNumberGeneratorThreadsafe::GetUInt(uint,uint)
00267540 CFTTRandomNumberGeneratorThreadsafe::GetFloat()
00267560 CFTTRandomNumberGeneratorThreadsafe::GetFloat(float,float)
00267588 CFTTRandomNumberGeneratorThreadsafe::GetNorm(float,float)
00267610 CFTTRandomNumberGeneratorThreadsafe::Seed(uint)

*/

class CFTTRandomNumberGeneratorThreadsafe : public CFTTRandomNumberGenerator {
public:
  CFTTRandomNumberGeneratorThreadsafe(uint seed);  //002674C4
  ~CFTTRandomNumberGeneratorThreadsafe();          //002672D0
  uint GetInt();                                   //002674D0
  uint GetUInt();                                  //002674D4
  uint GetInt(int, int);                           //002674FC
  uint GetUInt(uint a1, uint a2);                  //0026750C
  float GetFloat();                                //00267540
  float GetFloat(float a1, float a2);              //00267560
  float GetNorm(float a1, float a2);               //00267588
  void Seed(uint dseed);                           //00267610
};

#endif  //_CFTTRANDOMNUMBERGENERATORTHREADSAFE_H_